diff --git a/components/libraries/timer/app_timer.h b/components/libraries/timer/app_timer.h
index cd5b6d2..7d7b854 100644
--- a/components/libraries/timer/app_timer.h
+++ b/components/libraries/timer/app_timer.h
@@ -311,6 +311,11 @@ void app_timer_pause(void);
  */
 void app_timer_resume(void);
 
+/**
+ * @brief Return current 64 bit timestamp
+ */
+uint64_t get_now(void);
+
 #ifdef __cplusplus
 }
 #endif
diff --git a/components/libraries/timer/app_timer2.c b/components/libraries/timer/app_timer2.c
index dfafbcb..cfa28f7 100644
--- a/components/libraries/timer/app_timer2.c
+++ b/components/libraries/timer/app_timer2.c
@@ -113,7 +113,7 @@ NRF_SORTLIST_DEF(m_app_timer_sortlist, compare_func); /**< Sortlist used for sto
 /**
  * @brief Return current 64 bit timestamp
  */
-static uint64_t get_now(void)
+uint64_t get_now(void)
 {
     uint64_t now = m_base_counter + drv_rtc_counter_get(&m_rtc_inst);
 
